<?php
/**
 * 商品管理
 */
$title = '商品管理';
include "header.php";
$sum = 16; #每页数量
$page = shop::page($sum, $_QET['page']); #取出翻页数据
$shop_list = shop::shop_list($sum, $page['count'], $page['limit'], $_QET['cid']); #获取商品列表
$paging = shop::paging($shop_list['count'], $_QET['page']); #取出翻页按钮数据
if (!empty($_QET['unset'])) {
    $a = $DB->query("DELETE FROM `sky_goods` WHERE (`gid`='{$_QET['unset']}')"); #删除
    if ($a) {
        show_msg('成功提示', '编号:' . $_QET['unset'] . '删除成功,请点击下方按钮返回', '1');
    } else show_msg('温馨提示', '编号:' . $_QET['unset'] . '删除失败,原因->' . $DB->error(), '2');
}

$price = new price();

$rec = $DB->query("SELECT * FROM `sky_class` ORDER BY `sort` DESC ");
$cid_arr = [];
while ($res = $DB->fetch($rec)) {
    $cid_arr[] = ['cid' => $res['cid'], 'name' => $res['name'], 'state' => $res['state']];
}

?>
<!-- third party css -->
<link href="<?=$cdnserver==null?'../':$cdnserver?>assets/css/vendor/dataTables.bootstrap4.css" rel="stylesheet" type="text/css"/>
<link href="<?=$cdnserver==null?'../':$cdnserver?>assets/css/vendor/responsive.bootstrap4.css" rel="stylesheet" type="text/css"/>
<!-- third party css end -->
<!-- App css -->
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <div class="row mb-2">
                    <div class="col-sm-12">
                        <span class="btn btn-group p-0">
                            <select class="custom-select" name="goods_state" style="width: 16em">
                                <option value="">批量操作商品(需选中)</option>
                                <option value="-1">修改状态为上架</option>
                                <option value="-2">修改状态为下架</option>
                                <option value="-3">批量删除商品(危险操作)</option>
                                <option value="-4">批量设置商品参数</option>
                                <?php
                                foreach ($cid_arr as $v) {
                                    $state = $v['state'] == 1 ? '显示中' : '已掩藏';
                                    echo '<option value="'.$v['cid'].'">移动到分类：'.$v['name'].'['.$state.']</option>';
                                }
                                ?>
                            </select>
                        </span>
                        <a href="admin.goods.add.php" class="btn btn-danger"><i
                                class="layui-icon layui-icon-add-circle-fine mr-2"></i>
                            添加商品
                        </a>
                        <a href="admin.class.list.php" class="btn btn-warning"><i
                                class="layui-icon layui-icon-light mr-2"></i>
                            查看分类
                        </a>
                        <button type="button" onclick="location.href='admin.order.list.php'"
                                class="btn btn-light mr-1">查看订单
                        </button>
                    </div>
                </div>

                <div class="table-responsive">
                    <table  id="table" class="table table-centered table-striped dt-responsive nowrap w-100"
                           id="products-datatable">
                        <thead>
                        <tr style="white-space: nowrap">
                            <th><input name="checkbox_all" id="list_all" type="checkbox" onclick="goods.select_all()" value="true">GID</th>
                            <th>商品排序</th>
                            <th>商品分类</th>
                            <th>商品图文</th>
                            <th>商品参数</th>
                            <th>购买所需</th>
                            <th>商品成本</th>
                            <th>每单利润</th>
                            <th>每日份数</th>
                            <th>每份数量</th>
                            <th>对接类型</th>
                            <th>商品状态</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php foreach ($shop_list['data'] as $v) { $arr_pr = $price->reckon(-2,$v['gid'],1);
                            ?>
                            <tr style="white-space: nowrap;font-size: 0.9em">
                                <td>
                                    <input type="checkbox" name="checkbox[]" class="list_box box_<?= $v['gid'] ?>" onclick="goods.select_id(<?= $v['gid'] ?>)" value="<?= $v['gid'] ?>" />
                                    <a href="admin.order.list.php?gid=<?= $v['gid'] ?>" title="查看商品下的订单"
                                       class="badge badge-info-lighten">
                                        <?= $v['gid'] ?>
                                    </a>
                                </td>
                                <td>
                                    <?= $v['sort'] ?>
                                </td>
                                <td>
                                    <a href="admin.class.add.php?cid=<?= $v['cids'] ?>"><?= $v['cid'] ?></a>
                                </td>
                                <td class="table-user">
                                    <img src="<?= $v['image'] ?>"
                                         onerror="this.src='../assets/cloud/image/error_img.png'" alt="table-user"
                                         class="mr-2 rounded-circle">
                                    <a href="<?='../?gid='.$v['gid'].'&cid='.$v['cids']?>" title="查看商品预览" target="_blank"
                                       class="text-body font-weight-semibold"><?= $v['name'] ?></a>
                                </td>
                                <td style="color: #fc45ff">
                                    <?= $v['method'] ?>
                                </td>
                                <td style="font-size: 0.9em" id="goods_<?=$v['gid']?>" data-gid="<?=$v['gid']?>" data-name="<?= $v['name'] ?>" data-arr='<?=json_encode($arr_pr,JSON_UNESCAPED_UNICODE)?>' data-money='<?=$v['money']?>'>
                                    <?php
                                    if($arr_pr['state']==-1){
                                        echo '自定义价格 <font color="#228b22" onclick="goods.editor(\'goods_'.$v['gid'].'\')">[编辑]</font><br>';
                                        echo '金额：<font color="red">'.round($arr_pr['price'],2).'元</font><br>'.$conf['currency'].'：<font color="#40e0d0">'.$arr_pr['points'].'</font>';
                                    }else{
                                        echo '等级价格<font color="#6495ed" onclick="goods.data_log(\'goods_'.$v['gid'].'\')">[查看]</font> <font color="#228b22" onclick="goods.ShutDown('.$v['gid'].')">[关密价]</font><br>';
                                        echo '金额：<font color="red">'.round($arr_pr['array'][0]['price'],2).'元</font><br>'.$conf['currency'].'：<font color="#40e0d0">'.$arr_pr['array'][0]['points'].'</font>';
                                    }
                                    ?>
                                </td>
                                <td>
                                <span class="badge badge-primary-lighten" title="每单所扣掉的成本">
                                    <?= round($v['money'],3) ?>元
                                </span>
                                </td>
                                <td class="text-success">
                                    <?= round(($arr_pr['array'][0]['price']==''?$arr_pr['price']:$arr_pr['array'][0]['price']) - $v['money'],3) ?>元
                                </td>
                                <td>
                                    <?= $v['quota'] ?>个
                                </td>
                                <td>
                                    <?= $v['quantity'] ?>个
                                </td>
                                <td>
                                    <?= $v['sqid'] ?>
                                </td>
                                <td>
                                    <?= $v['state'] ?>
                                </td>
                                <td>
                                    <a href="admin.goods.add.php?gid=<?= $v['gid'] ?>" class="action-icon"> <i
                                            class="layui-icon layui-icon-set-fill"></i></a>
                                    <a href="javascript:unset(<?= $v['gid'] ?>)" class="action-icon"> <i
                                            class="layui-icon layui-icon-delete"></i></a>
                                </td>
                            </tr>
                        <?php } ?>

                        </tbody>
                    </table>
                </div>
                <nav>
                    <ul class="pagination pagination-rounded" style="overflow: auto">
                        <li class="page-item">
                            <a class="page-link" href="?page=1<?= !empty($_QET['cid']) ? '&cid=' . $_QET['cid'] : '' ?>"
                               aria-label="Previous">
                                <span aria-hidden="true">«</span>
                                <span class="sr-only">Previous</span>
                            </a>
                        </li>
                        <?php foreach ($paging as $v) { ?>
                            <li class="page-item <?= $v['active'] ?>"><a class="page-link" href="?page=<?= $v['number'] ?><?= !empty($_QET['cid']) ? '&cid=' . $_QET['cid'] : '' ?>"><?= $v['number'] ?></a>
                            </li>
                        <?php } ?>
                        <li class="page-item">
                            <a class="page-link"
                               href="?page=<?= $shop_list['count'] ?><?= !empty($_QET['cid']) ? '&cid=' . $_QET['cid'] : '' ?>"
                               aria-label="Next">
                                <span aria-hidden="true">»</span>
                                <span class="sr-only">Next</span>
                            </a>
                        </li>
                        <?php if (!empty($_QET['cid'])) { ?>
                            <li class="page-item">
                                <a class="page-link" href="?page=1" aria-label="Nexst">
                                    <span aria-hidden="true">查看全部</span>
                                    <span class="sr-only">Nexst</span>
                                </a>
                            </li>
                        <?php } ?>
                    </ul>
                </nav>
            </div> <!-- end card-body-->
        </div> <!-- end card-->
    </div> <!-- end col -->
</div>
<div id="content_s" style="display: none">
    <div class="form-horizontal layui-form">
    <?php
    $method = [1, 2, 3, 4, 5, 6, 7,8];
    $met = 0;
    $method_name = ['在线支付', '余额付款', '积分兑换', '小储系统对接', '商品价格监控', '允许被克隆', '下单份数', '<font color=red>启用用户等级模式</font>[<a href=admin.level.list.phpadmin.level.list.php>管理</a>]'];
    foreach ($method_name as $v) {
        ?>
        <input type="checkbox" name="method[]"
               lay-skin="primary" value="<?= ($met + 1) ?>" title="[<?=($met + 1)?>] <?= $method_name[$met] ?>"
               <?= in_array(($met + 1), $method) ? ' checked=""' : null ?>>
        <?php $met++;
    } ?>
    </div>
</div>

<?php include "bottom.php"; ?>
<script>
    function unset(a) {
        layer.alert('删除后不可撤销，是否确认删除？', {
            icon: 3, title: '温馨提示', btn: ['取消', '确定删除'], btn2: function (layero, index) {
                window.location.href = '?unset=' + a;
            }
        })
    }

    var goods = {
        ShutDown:function(id){ //关闭密价
            layer.alert('是否要关闭商品：'+id+'的密价<br>采用自定义商品价格？',{
                icon:3,
                title:'温馨提示',
                btn:['关闭','取消'],
                btn1:function (layero,index) {
                    var index = layer.msg('正在关闭中...', {icon: 16, time: 9999999});
                    $.ajax({
                        type: "post",
                        url: "ajax.php?act=setGoodsShutDownlevel",
                        data: {gid:id},
                        dataType: "json",
                        success: function (data) {
                            if (data.code > 0) {
                                layer.alert(data.msg, {
                                    icon: 1, end: function (layero, index) {
                                        location.reload();
                                    }
                                });
                            } else {
                                layer.msg(data.msg, {icon: 2});
                            }
                        },
                        error: function () {
                            layer.alert('修改失败！');
                            layer.close(index);
                        }
                    });
                }
            })
        },
        editor:function(id){ //仅限自定义价格商品
            var arr = JSON.parse($("#"+id).attr('data-arr'));
            var content  = '<div style="max-height: 60vh"><blockquote class="layui-elem-quote  layui-quote-nm"><div class="layui-form">商品名称：'+$("#"+id).attr('data-name')+'<hr>';
            content += '<div class="layui-form-item">\n' +
                '    <label class="layui-form-label">出售价</label>\n' +
                '    <div class="layui-input-block">\n' +
                '      <input type="text" id="price_editor" required  value="'+(arr.price-0).toFixed(6)+'" lay-verify="required" placeholder="请输入商品售价" autocomplete="off" class="layui-input">\n' +
                '    </div>\n' +
                '  </div>';
            content += '<div class="layui-form-item">\n' +
                '    <label class="layui-form-label">兑换价</label>\n' +
                '    <div class="layui-input-block">\n' +
                '      <input type="text" id="points_editor" required value="'+(arr.points-0).toFixed(0)+'" lay-verify="required" placeholder="请输入商品兑换价格" autocomplete="off" class="layui-input">\n' +
                '    </div>\n' +
                '  </div>';
            content +='<div class="layui-form-item">\n' +
                '    <label class="layui-form-label">开密价</label>\n' +
                '    <div class="layui-input-block">\n' +
                '      <select id="state_editor" lay-verify="required">\n' +
                '        <option value="1">开启商品等级密价</option>\n' +
                '        <option value="2" selected>关闭商品等级密价</option>\n' +
                '      </select>\n' +
                '    </div>\n' +
                '  </div>';
            content += '<div class="layui-form-item">\n' +
                '    <label class="layui-form-label">成本价</label>\n' +
                '    <div class="layui-input-block">\n' +
                '      <input type="text" id="points_editor" required value="'+($("#"+id).attr('data-money')-0).toFixed(6)+'元" disabled lay-verify="required" placeholder="请输入商品兑换价格" autocomplete="off" class="layui-input">\n' +
                '    </div>\n' +
                '  </div>';
            content += '<hr>价格倍数：<font color=red>商品成本的<span id="price_cost">'+((arr.price-0).toFixed(6)/($("#"+id).attr('data-money')-0).toFixed(6)).toFixed(2)+'</span>倍</font><br>';
            content += '<hr>兑换倍数：<font color=red>商品成本的<span id="points_cost">'+((arr.points-0).toFixed(6)/($("#"+id).attr('data-money')-0).toFixed(6)).toFixed(0)+'</span>倍</font><hr class=layui-bg-blue>Ps：若开启商品价格监控,则会根据此价格倍数自动调整新的商品价格！,若对接货源商品已经下架，则会自动清空商品库存！';

            layer.alert(content+'</div></blockquote></div>',{type:0,title:'价格编辑器',anim:3,btn:['保存信息','取消保存'],
                success: function(layero, index){
                    layui.use('form', function(){
                        var form = layui.form;
                        form.render('select');
                    });
                    $("#price_editor").bind("input propertychange",function(event){
                        var price = $("#price_editor").val()-0;
                        $("#price_cost").text((price.toFixed(6)/($("#"+id).attr('data-money')-0).toFixed(6)).toFixed(2));
                    });
                    $("#points_editor").bind("input propertychange",function(event){
                        var points = $("#points_editor").val()-0;
                        $("#points_cost").text((points.toFixed(6)/($("#"+id).attr('data-money')-0).toFixed(6)).toFixed(0));
                    });
                },
                btn1:function (layero,index) {
                    var price = $("#price_editor").val();
                    var points = $("#points_editor").val();
                    var state = $("#state_editor").val();
                    var stater = state==1?'开启等级密价':'关闭等级密价';
                    var gid = $("#"+id).attr('data-gid');
                    layer.alert('确认要保存新的商品价格方案吗？<br>成本：'+($("#"+id).attr('data-money')-0).toFixed(6)+'元<br>售价：'+price+'元<br>兑换价：'+points+'<br>状态：'+stater ,{title:'信息确认',btn:['保存','取消'],icon:3,
                        btn1:function (layero,index) {
                            $.ajax({
                                type: 'POST',
                                url: 'ajax.php?act=setGoodseditor',
                                data: {
                                    price: price,
                                    points: points,
                                    state:state,
                                    gid:gid
                                },
                                dataType: 'json',
                                success: function (data) {
                                    if (data.code > 0) {
                                        layer.alert(data.msg, {
                                            icon: 1,
                                            end: function (layero, index) {
                                                location.reload();
                                            }
                                        });
                                    } else {
                                        layer.msg(data.msg, {icon: 2});
                                    }
                                },
                                error: function (data) {
                                    layer.msg('服务器错误');
                                    return false;
                                }
                            });
                        }})
                }
            })

        },
        data_log:function(id){
            var arr = JSON.parse($("#"+id).attr('data-arr'));
            var content  = '<div style="max-height: 60vh"><blockquote class="layui-elem-quote  layui-quote-nm">商品名称：'+$("#"+id).attr('data-name');
            for (let i of arr.array) {
                content += '<hr style="margin: 0.2em">' + i.name + ":<br>商品价格：<font color=red>" + (i.price-0).toFixed(6) + '元</font><br>兑换点数：<font color=#40e0d0>' + i.points + '</font><br>';
            }
            content += '<hr class=layui-bg-blue style="margin: 0.2em">Ps：若开启商品价格监控,则会根据您设置的等级价格模板自动调整各等级的商品价格！,若对接货源商品已经下架，则会自动清空商品库存！';
            layer.alert(content+'</blockquote></div>',{type:0,title:'价格表 | 成本:'+($("#"+id).attr('data-money')-0).toFixed(6)+'元',anim:3,})
        },
        select_id:function(id){
            if ($('.box_'+id).prop('checked')==true) {
                $('.box_'+id).attr("checked",true);
                $('.box_'+id).prop("checked",true);
            }else{
                $('.box_'+id+',#list_all').attr('checked',false);
                $('.box_'+id+',#list_all').prop("checked",false);
            }
        },
        select_all:function () {
            if ($('#list_all').prop('checked')==true) {
                $(".list_box,#list_all").attr("checked",true);
                $(".list_box,#list_all").prop("checked",true);
            }else{
                $(".list_box,#list_all").attr('checked',false);
                $(".list_box,#list_all").prop("checked",false);
            }
        },
        sort:function (gid, type) {
            $.ajax({
                type: 'POST',
                url: 'ajax.php?act=setGoodsSort',
                data: {
                    gid: gid,
                    type: type
                },
                dataType: 'json',
                success: function (data) {
                    location.reload();
                },
                error: function (data) {
                    layer.msg('服务器错误');
                    return false;
                }
            });
        }
        ,pitch_on:function () {
            var amount = new Array();
            $("#table input[type='checkbox']").each(function () {
                if ($(this).is(":checked")) {
                    if($(this).val()!='true'&&$(this).val()!='')amount.push($(this).val());
                }
            });
            return amount;
        },
        pitch_ons:function () {
        var amount = new Array();
        $("#mmda input[type='checkbox']").each(function () {
            if ($(this).is(":checked")) {
                if($(this).val()!='true'&&$(this).val()!='')amount.push($(this).val());
            }
        });
        return amount;
    },
        ajax_state:function (type,arr,cid=-1) {
            var index = layer.msg('正在调整中...', {icon: 16, time: 9999999});
            $.ajax({
                type: "post",
                url: "ajax.php?act=Goods_State_all",
                data: {type: type, arr: arr,cid:cid},
                dataType: "json",
                success: function (data) {
                    if (data.code > 0) {
                        layer.alert(data.msg, {
                            icon: 1, end: function (layero, index) {
                                location.reload();
                            }
                        });
                    } else {
                        layer.msg(data.msg, {icon: 2});
                    }
                },
                error: function () {
                    layer.alert('修改失败！');
                    layer.close(index);
                }
            });
        }
    }

    $("select[name='goods_state']").change(function () {
        var arr = goods.pitch_on();
        if(arr.length==0)return;
        var type = $(this).children('option:selected').val();
        if(type=='')return;
        switch (type) {
            case '-1': //上架
                layer.alert('是否将这'+arr.length+'个商品设置为上架状态？',{title:'商品批量上架',icon:3,btn:['确认','取消'],btn1:function (layero,index) {goods.ajax_state(1,arr);}})
                break;
            case '-2': //下架
                layer.alert('是否将这'+arr.length+'个商品设置为下架状态？',{title:'商品批量下架',icon:3,btn:['确认','取消'],btn1:function (layero,index) {goods.ajax_state(2,arr);}})
                break;
            case '-3': //删除
                layer.alert('是否将这'+arr.length+'个商品删除？',{title:'商品批量删除',icon:3,btn:['确认','取消'],btn1:function (layero,index) {goods.ajax_state(3,arr);}})
                break;
            case '-4': //商品参数
                layer.alert('<div id="mmda">'+$("#content_s").html()+'</div>',{
                    success: function(layero, index){
                        layui.use('form', function(){
                            var form = layui.form;
                            form.render();
                            //各种基于事件的操作，下面会有进一步介绍
                        });
                    },
                    btn:['批量修改','取消'],
                    title:'批量设置商品参数',
                    yes:function (layero,index) {
                        var goods_arr = goods.pitch_ons();
                        layer.alert('是否将这'+arr.length+'个商品批量设置为当前选择参数？',{title:'批量设置商品参数确认!',icon:3,btn:['确认','取消'],btn1:function (layero,index) {goods.ajax_state(4,arr,goods_arr);}})
                    }
                });
                break;
            default: //分类
                layer.alert('是否将这'+arr.length+'个商品移动到分类:'+type+'里面？',{title:'商品批量移动确认!',icon:3,btn:['确认','取消'],btn1:function (layero,index) {goods.ajax_state(5,arr,type);}})
                break;
        }
    })
</script>