<?php
/**
 * 用户等级管理
 */
$title = '用户等级列表';
include "header.php";

if(isset($_QET['default'])){
    $re = $DB->query("DELETE FROM `sky_price`");
    if($re){
        @$DB->query("INSERT INTO `sky_price` (`sort`, `name`, `content`, `priceis`, `pointsis`, `money`, `addtime`)  VALUES ('1','V1用户', 'V1用户,若您想获得更低的商品价格,可在后台进行等级提升!', '0,1.55|0.01,1.50|0.5,1.45|1,1.40|10,1.35|20,1.3', '0,1550|0.01,1500|0.5,1450|1,1400|10,1350|20,1300', '0.00','$date');");
        @$DB->query("INSERT INTO `sky_price` (`sort`, `name`, `content`, `priceis`, `pointsis`, `money`, `addtime`)  VALUES ('2','V2用户', 'V2用户,若您想获得更低的商品价格,可在后台进行等级提升!', '0,1.5|0.01,1.45|0.5,1.40|1,1.35|10,1.3|20,1.25', '0,1500|0.01,1450|0.5,1400|1,1350|10,1300|20,1250', '10.00','$date');");
        @$DB->query("INSERT INTO `sky_price` (`sort`, `name`, `content`, `priceis`, `pointsis`, `money`, `addtime`)  VALUES ('3','V3用户', 'V3用户,若您想获得更低的商品价格,可在后台进行等级提升!', '0,1.45|0.01,1.4|0.5,1.35|1,1.3|10,1.25|20,1.2', '0,1450|0.01,1400|0.5,1350|1,1300|10,1250|20,1200', '20.00','$date');");
        @$DB->query("INSERT INTO `sky_price` (`sort`, `name`, `content`, `priceis`, `pointsis`, `money`, `addtime`)  VALUES ('4','V4用户', 'V4用户,若您想获得更低的商品价格,可在后台进行等级提升!', '0,1.4|0.01,1.35|0.5,1.3|1,1.25|10,1.2|20,1.15', '0,1400|0.01,1350|0.5,1300|1,1250|10,1200|20,1150', '30.00','$date');");
        show_msg('温馨提示','内置等级规则写入成功！',1);
    }else show_msg('温馨提示','原等级规则清空失败！'.$DB->error(),4);
}

$sum = 8; #每页数量
$page = shop::page($sum, $_QET['page']); #取出翻页数据
$user_level = user::users_level($sum, $page['count'], $page['limit']);
$paging = shop::paging($user_level['count'], $_QET['page']); #取出翻页按钮数据

if (!empty($_QET['unset'])) {
    $a = $DB->query("DELETE FROM `sky_price` WHERE (`mid`='{$_QET['unset']}')"); #删除
    if ($a) {
        show_msg('成功提示', '编号:' . $_QET['unset'] . '删除成功,请点击下方按钮返回', '1');
    } else show_msg('温馨提示', '编号:' . $_QET['unset'] . '删除失败,原因->' . $DB->error(), '2');
}

?>
<!-- third party css -->
<link href="<?=$cdnserver==null?'../':$cdnserver?>assets/css/vendor/dataTables.bootstrap4.css" rel="stylesheet" type="text/css"/>
<link href="<?=$cdnserver==null?'../':$cdnserver?>assets/css/vendor/responsive.bootstrap4.css" rel="stylesheet" type="text/css"/>
<!-- third party css end -->
<!-- App css -->
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <div class="row mb-2">
                    <div class="col-sm-4">
                        <a href="admin.level.list.php" class="btn btn-danger mb-2"><i
                                class="layui-icon layui-icon-add-circle-fine mr-2"></i>
                            新增一个等级
                        </a>
                        <a href="?default" class="btn btn-success mb-2"><i
                                    class="layui-icon layui-icon-date mr-2"></i>
                            使用内置等级套餐(会清空原来的)
                        </a>
                    </div>
                </div>
                <code>密价等级根据排序来定,排序越高,等级越高！</code>
                <div class="table-responsive">
                    <table class="table table-centered table-striped dt-responsive nowrap w-100"
                           id="products-datatable">
                        <thead>
                        <tr style="white-space: nowrap">
                            <th>MID</th>
                            <th>等级排序</th>
                            <th>等级名称</th>
                            <th>出售价格</th>
                            <th>加价规则[售价]</th>
                            <th>加价规则[<?=$conf['currency']?>兑换]</th>
                            <th>等级介绍</th>
                            <th>添加时间</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php foreach ($user_level['data'] as $v) {
                            ?>
                            <tr style="white-space: nowrap;font-size: 0.9em">
                                <td>
                                    <a href="admin.level.add.php?mid=<?= $v['mid'] ?>" class="badge badge-info-lighten">
                                        <?= $v['mid'] ?>
                                    </a>
                                </td>
                                <td class="table-user" id="<?=$v['mid']?>_level" data-name="<?=$v['name']?>" data-priceis='<?=json_encode($v['priceis'])?>' data-pointsis='<?=json_encode($v['pointsis'])?>'>
                                    <span class="badge badge-primary-lighten">V<?= $v['sort'] ?>密价</span>
                                    <a href="javascript:level.sort(<?=$v['mid']?>,1)" title="最顶部">↑</a> <a href="javascript:level.sort(<?=$v['mid']?>,2)" title="上移一格">▲</a><a href="javascript:level.sort(<?=$v['mid']?>,3)" title="下移一格">▼</a> <a href="javascript:level.sort(<?=$v['mid']?>,4)" title="最低部">↓</a>
                                </td>
                                <td>
                                    <span class="badge badge-success-lighten"><?= $v['name'] ?></span>
                                    <a href="javascript:level.test('<?=$v['mid']?>_level')">[测试]</a>
                                </td>
                                <td>
                                    <span class="badge badge-danger-lighten"><?= $v['money'] ?>元</span>
                                </td>
                                <td style="font-size: 1.3em">
                                    <?php
                                    for ($a = 0;$a<count($v['priceis']);$a++){
                                        foreach ($v['priceis'][$a] as $k=>$r){
                                            echo '<span class="badge badge-primary-lighten">成本</span> <span title="大于等于">>=</span> <span class="badge badge-info-lighten">'.$k.'元</span>  <span class="badge badge-danger-lighten">售价</span> <span title="等于">=</span> <span class="badge badge-primary-lighten">成本</span> <span title="乘">×</span> <span class="badge badge-dark-lighten">'.$r.'倍</span><br>';
                                        };
                                    }
                                    ?>
                                </td>
                                <td style="font-size: 1.3em">
                                    <?php
                                    for ($b = 0;$b<count($v['pointsis']);$b++){
                                        foreach ($v['pointsis'][$b] as $k=>$r){
                                            echo '<span class="badge badge-primary-lighten">成本</span> <span title="大于等于">>=</span> <span class="badge badge-info-lighten">'.$k.'元</span>  <span class="badge badge-danger-lighten">兑换价</span> <span title="等于">=</span> <span class="badge badge-primary-lighten">成本</span> <span title="乘">×</span> <span class="badge badge-dark-lighten">'.$r.'倍</span><br>';
                                        };
                                    }
                                    ?>
                                </td>
                                <td>
                                    <?= $v['content'] ?>
                                </td>
                                <td>
                                    <?= $v['addtime'] ?>
                                </td>
                                <td>
                                    <a href="admin.level.add.php?mid=<?= $v['mid'] ?>" class="action-icon"> <i
                                            class="layui-icon layui-icon-set-fill"></i></a>
                                    <a href="javascript:level.unset(<?= $v['mid'] ?>)" class="action-icon"> <i
                                            class="layui-icon layui-icon-delete"></i></a>
                                </td>
                            </tr>
                        <?php } ?>
                        </tbody>
                    </table>
                </div>
                <nav>
                    <ul class="pagination pagination-rounded" style="overflow: auto">
                        <li class="page-item">
                            <a class="page-link" href="?page=1" aria-label="Previous">
                                <span aria-hidden="true">«</span>
                                <span class="sr-only">Previous</span>
                            </a>
                        </li>
                        <?php foreach ($paging as $v) { ?>
                            <li class="page-item <?= $v['active'] ?>"><a class="page-link"
                                                                         href="?page=<?= $v['number'] ?>"><?= $v['number'] ?></a>
                            </li>
                        <?php } ?>
                        <li class="page-item">
                            <a class="page-link" href="?page=<?= $shop_list['count'] ?>" aria-label="Next">
                                <span aria-hidden="true">»</span>
                                <span class="sr-only">Next</span>
                            </a>
                        </li>
                    </ul>
                </nav>
            </div> <!-- end card-body-->
        </div> <!-- end card-->
    </div> <!-- end col -->
</div>
<?php include "bottom.php"; ?>
<script>
    var level = {
        unset:function(a) {
            layer.alert('删除后不可撤销，是否确认删除？', {
                icon: 3, title: '温馨提示', btn: ['取消', '确定删除'], btn2: function (layero, index) {
                    window.location.href = '?unset=' + a;
                }
            })
        },
        sort:function (gid, type) { //修改排序
            $.ajax({
                type: 'POST',
                url: 'ajax.php?act=setlevelSort',
                data: {
                    gid: gid,
                    type: type
                },
                dataType: 'json',
                success: function (data) {
                    location.reload();
                },
                error: function (data) {
                    layer.msg('服务器错误');
                    return false;
                }
            });
        },
        test:function (id) {
            var arr_price = JSON.parse($("#"+id).attr('data-priceis'));
            var arr_points = JSON.parse($("#"+id).attr('data-pointsis'));

            var content  = '<div style="max-height: 60vh;width: 100%"><blockquote class="layui-elem-quote  layui-quote-nm"><div class="layui-form">';
            content += '<div class="layui-form-item">\n' +
                '    <label class="layui-form-label"style="color: red">出售价</label>\n' +
                '    <div class="layui-input-block">\n' +
                '      <input type="text" id="price" required  disabled lay-verify="required" placeholder="无需输入,自动计算" autocomplete="off" class="layui-input">\n' +
                '    </div>\n' +
                '  </div>';
            content += '<div class="layui-form-item">\n' +
                '    <label class="layui-form-label"style="color: #0acf97">兑换价</label>\n' +
                '    <div class="layui-input-block">\n' +
                '      <input type="text" id="points" required disabled lay-verify="required" placeholder="无需输入,自动计算" autocomplete="off" class="layui-input">\n' +
                '    </div>\n' +
                '  </div>';
            content += '<div class="layui-form-item">\n' +
                '    <label class="layui-form-label" style="color: darkgreen">成本/元</label>\n' +
                '    <div class="layui-input-block">\n' +
                '      <input type="text" id="cost" required   lay-verify="required" placeholder="请输入商品成本价格" autocomplete="off" class="layui-input">\n' +
                '    </div>\n' +
                '  </div>';
            var area = [$(window).width() > 480 ? '60%' : '98%'];
            layer.alert(content+'</div></blockquote></div>', {
                type: 0, title: '价格计算器【'+$("#"+id).attr('data-name')+'】', anim: 5, btn: ['关闭'],area:area,
                success: function (layero, index) {
                    $("#cost").bind("input propertychange",function(event){
                        var money = $("#cost").val()-0;
                        var price = 0; //初始价格
                        var points = 0; //兑换价格
                        var pricesr = 0; //初始化价格倍率
                        var pointss = 0; //初始化兑换倍率
                        $.each(arr_price,function(index,value){
                            $.each(arr_price[index],function(key,val){
                                if(money >= (key-0)){
                                    price = money*val;
                                    pricesr = val;
                                }
                            });
                        });

                        $.each(arr_points,function(index,value){
                            $.each(arr_points[index],function(key,val){
                                if(money >= (key-0)){
                                    points = money*val;
                                    pointss = val;
                                }
                            });
                        });

                        $("#price").val(price.toFixed(3)+'元 | '+ pricesr.toFixed(2)+'倍');
                        $("#points").val(points.toFixed(0)+'个 | '+ pointss.toFixed(0)+'倍');
                    });
                }
            })
        }
    }
</script>