<?php
/**
 * 简约模板
 */
if (!defined('IN_CRONLITE')) die();
?>
<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title><?= $conf['sitename'] ?></title>
    <meta name="keywords" content="<?= $conf['keywords'] ?>">
    <meta name="description" content="<?= $conf['description'] ?>">
    <!-- Vendor styles -->
    <link rel="icon" href="<?php echo $cdnserver; ?>assets/favicon.ico" type="image/x-icon"/>
    <link rel="stylesheet" type="text/css" href="<?php echo $cdnserver; ?>assets/layui/css/layui.css"/>
</head>
<style>
    .navs {
        color: #fff;
        border: none;
        background: linear-gradient(to right, #000, #9fb8ad, #F0F2F0, #000C40, #ff7e5f, #ef32d9, #89fffd, #c2e59c, #64b3f4);
        background-size: 1915%;
        animation: gradientBackground 20s alternate ease-out;
        animation-iteration-count: infinite;
        color: white !important;
        box-shadow: 1px 0px 16px #ccc;
    }

    @keyframes gradientBackground {
        0% {
            background-position: 0 0
        }
        50% {
            background-position: 50% 100%
        }
        100% {
            background-position: 100% 0
        }
    }
</style>
<body style="<?= background::image() == false ? 'background:linear-gradient(to left, #70e1f5, #ffd194);' : background::image() ?>">
<div class="layui-fluid" style="margin-top: 1em">
    <div class="layui-row layui-col-space8">
        <div class="layui-col-xs12 layui-col-sm8 layui-col-sm-offset2 layui-col-md6 layui-col-sm-offset3">
            <div class="layui-card">
                <div class="layui-card-header navs"
                     style="font-size: 1.5rem;text-align: center;height: 3rem;line-height: 3rem;background-color: darkviolet;color: white">
                    <?= $conf['sitename'] ?>
                </div>
                <div class="layui-card-body" style="text-align: center">
                    <p style="margin: 1em auto">
                        <img src="http://q4.qlogo.cn/headimg_dl?dst_uin=<?= $conf['kfqq'] ?>&spec=100"
                             style="width: 6em;height: 6em;border-radius: 30em;box-shadow: 3px 3px 8px #ccc"/>
                    </p>
                    <div class="layui-card layui-text" style="text-align: end">
                        <div class="layui-card-body">
                            <?= $conf['notice_top'] ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="layui-col-xs12 layui-col-sm8 layui-col-sm-offset2 layui-col-md6 layui-col-sm-offset3">
            <div class="layui-card">
                <div class="layui-card-header" style="text-align: center;height: auto">
                     <span class="layui-breadcrumb" lay-separator="-">
                            <a href="./" class="layui-icon layui-icon-cart"> 购物</a>
                            <a href="./?mod=query" class="layui-icon layui-icon-search"> 查单</a>
                            <a href="./user" class="layui-icon layui-icon-user"> 后台</a>
                            <a href="/user/activity.php" class="layui-icon layui-icon-gift"> 分享</a>
                            <a href="./?mod=extract" class="layui-icon layui-icon-email"> 提卡</a>
                            <a href="./?mod=article" class="layui-icon layui-icon-read"> 资讯</a>
                            <a href="http://wpa.qq.com/msgrd?v=3&uin=<?= $conf['kfqq'] ?>&site=qq&menu=yes"
                               target="_blank" class="layui-icon layui-icon-chat"> 客服</a>
                        </span>
                </div>
                <div class="layui-card-body">
                    <div class="layui-row layui-col-space12" style="display: none" id="cid"></div>
                    <div class="layui-row layui-col-space12" style="display: none" id="gid"></div>

                    <div class="layui-form layui-form-pane" id="shop" style="display: none">
                        <div class="layui-form-item" style="padding-right: 80px !important;">
                            <label class="layui-form-label">当前商品</label>
                            <div class="layui-input-block">
                                <input type="text" id="gootsp" disabled lay-verify="required" class="layui-input">
                            </div>
                            <div class="layui-btn layui-btn-sm layui-btn-primary  btnee" style="margin-right: -80px"
                                 onclick="layer.alert('<img src=\''+$('#gootsp').attr('data-image')+'\' width=\'300px\' /> ',{offset:'100px',title:'商品图片'})">
                                查看图片
                            </div>
                        </div>
                        <div class="layui-form-item" id="moneys_os" style="display: none">
                            <label class="layui-form-label">商品价格</label>
                            <div class="layui-input-block">
                                <input type="text" id="moneys" disabled lay-verify="required" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-form-item" id="points_os" style="display: none">
                            <label class="layui-form-label">积分价格</label>
                            <div class="layui-input-block">
                                <input type="text" id="points" disabled lay-verify="required" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-form-item" id="repertory" style="display: none">
                            <label class="layui-form-label">当前库存</label>
                            <div class="layui-input-block">
                                <input type="text" id="residue" disabled lay-verify="required" class="layui-input">
                            </div>
                        </div>
                        <div id="input_value"></div>
                        <div id="alert_frame"
                             style="margin:1em auto;padding: 0.5em;display: none;background: linear-gradient(to right, rgb(113, 215, 162), rgb(94, 209, 215)); font-weight: bold; color: white;"
                             class="layui-text"></div>
                        <button class="layui-btn layui-btn layui-btn-normal layui-btn-fluid" id="submit">
                            <?=$USERDATA['grade']<>''?'[V'.$USERDATA['grade'].'密价] ':'[游客售价] '?>购买商品
                        </button>
                    </div>
                </div>
            </div>
        </div>

        <div class="layui-col-xs12 layui-col-sm8 layui-col-sm-offset2 layui-col-md6 layui-col-sm-offset3">
            <div class="layui-card">
                <div class="layui-card-header">
                    底部导航
                </div>
                <div class="layui-card-body layui-text" style="text-align: center">
                    <p>© <?= $conf['sitename'] ?>. All rights reserved.</p>
                    <?php
                    if($conf['navigation']<>''){
                        echo '<br>';
                        $navigation = explode('|', $conf['navigation']);
                        foreach ($navigation as $v) {
                            $data_header = explode(',', $v);
                            echo ' <a href="' . $data_header[1] . '" target="_blank"> ' . $data_header[0] . '</a> ';
                        }
                        echo '<br>';
                    }
                    ?>
                    <?= $conf['notice_bottom'] ?>
                    <p><?= $conf['statistics'] ?></p>
                </div>
            </div>
        </div>
    </div>
</div>

<script src="<?php echo $cdnserver; ?>assets/layui/layui.all.js"></script>
<script src="<?= $cdnpublic ?>jquery/3.4.1/jquery.min.js"></script>
<script src="<?php echo $cdnserver; ?>assets/js/main.js?var=<?= $accredit['versions'] ?>"></script>
<script src="./template/public/template.js"></script>
<style>
    .btnee {
        float: right;
        margin-top: -2.8em
    }
</style>
</body>
</html>
