<?php
/**
 * 公共查单模块
 */
if (!defined('IN_CRONLITE')) die();

?>
<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title><?= '文章列表 - ' . $conf['sitename'] ?></title>
    <meta name="keywords" content="<?= $conf['keywords'] ?>">
    <meta name="description" content="<?= $conf['description'] ?>">
    <!-- Vendor styles -->
    <link rel="icon" href="<?php echo $cdnserver; ?>assets/favicon.ico" type="image/x-icon"/>
    <link rel="stylesheet" type="text/css" href="<?php echo $cdnserver; ?>assets/layui/css/layui.css"/>
</head>
<body>
<style>
    .navs {
        color: #fff;
        border: none;
        background: linear-gradient(to right, #000, #9fb8ad, #F0F2F0, #000C40, #ff7e5f, #ef32d9, #89fffd, #c2e59c, #64b3f4);
        background-size: 1915%;
        animation: gradientBackground 20s alternate ease-out;
        animation-iteration-count: infinite;
        color: white !important;
        box-shadow: 1px 0px 16px #ccc;
    }

    @keyframes gradientBackground {
        0% {
            background-position: 0 0
        }
        50% {
            background-position: 50% 100%
        }
        100% {
            background-position: 100% 0
        }
    }

    .images {
        width: 110%;
        height: 110%;
        background-size: 100% 100%;
        z-index: -100;
        position: fixed;
        left: -5%;
        top: -5%;
        <?=background::image()==false?'background: linear-gradient(to top, #24c6dc, #514a9d);':background::image()?>
    }
</style
</body>
<div class="images"></div>
<div class="layui-fluid" style="opacity:0.98">
    <div class="layui-row">
        <div class="layui-col-md8 layui-col-sm-offset2" style="padding: 0.2em;color: #111">
            <div class="layui-card">
                <div class="layui-card-header navs"
                     style="font-size: 1.5rem;text-align: center;height: 3rem;line-height: 3rem;background-color: darkviolet;color: white">
                    <a class="layui-icon layui-icon-left" style="float: left;color: white" href="./"> 返回</a>
                    <?= $conf['sitename'] ?> - 查单中心
                </div>
                <div class="layui-card-body" style="text-align: center">
                    <p style="margin: 1em auto">
                        <img src="http://q4.qlogo.cn/headimg_dl?dst_uin=<?= $conf['kfqq'] ?>&spec=100"
                             style="width: 6em;height: 6em;border-radius: 30em;box-shadow: 3px 3px 8px #ccc"/>
                    </p>
                    <div class="layui-card layui-text" style="text-align: end">
                        <div class="layui-card-body">
                            <?= $conf['notice_top'] ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="layui-col-md8 layui-col-sm-offset2" style="padding: 0.2em;color: #111">
            <div class="layui-card">
                <div class="layui-card-body">
                    <p><?= $conf['notice_bottom'] ?></p>
                    <div class="layui-form layui-form-pane">
                        <div class="layui-form-item">
                            <label class="layui-form-label">查单类型</label>
                            <div class="layui-input-block">
                                <select id="searchtype" lay-verify="required">
                                    <option value=""></option>
                                    <option value="1">根据下单信息查询</option>
                                    <option value="2">根据订单号查询</option>
                                    <option value="3">查询账户下的订单</option>
                                    <option value="4">快递物流查询</option>
                                </select>
                            </div>
                        </div>
                        <div class="layui-form-item">
                            <label class="layui-form-label">查单信息</label>
                            <div class="layui-input-block">
                                <input type="text" id="vae"
                                       onkeydown="if(event.keyCode==13){merchandise.query_sep($('#vae').val())}"
                                       required lay-verify="required" placeholder="请输入对应信息来查询订单！" autocomplete="off"
                                       class="layui-input">
                            </div>
                        </div>
                        <button class="layui-btn layui-btn layui-btn-normal layui-btn-fluid" id="submit_query">
                            查询订单
                        </button>
                        <div id="content_query"></div>
                    </div>
                </div>
            </div>
        </div>
        <div class="layui-col-md8 layui-col-sm-offset2" style="padding: 0.2em;color: #111">
            <div class="layui-card">
                <div class="layui-card-body layui-text" style="text-align: center">
                    <p>© <?= $conf['sitename'] ?>. All rights reserved.</p>
                    <?= $conf['notice_bottom'] ?>
                    <p><?= $conf['statistics'] ?></p>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="<?= $cdnpublic ?>jquery/3.4.1/jquery.min.js"></script>
<script src="<?php echo $cdnserver; ?>assets/layui/layui.all.js"></script>
<script src="<?php echo $cdnserver; ?>assets/js/main.js?var=<?= $accredit['versions'] ?>"></script>

</html>
