/**
 * 小储云商城
 * 模板视图js调用类 simple
 * @type {{input_data: (function(*, *, *, *): string), data_class: (function(*): string), num: (function(): string), data_goods: (function(*): string)}}
 */
var template = {
    data_class: function (data) { //商品分类模板
        var cid = $("#cid").attr('data-cid');
        var selected = '';
        if($_GET['cid']==data.cid){
            selected = 'selected';
        }
        if(cid=='0'){
            var content = '<option value="0">请选择分类</option><option '+selected+' value="' + data.cid + '">' + data.name + ' | ' + data.number + '个商品</option>';
            $("#cid").attr('data-cid',data.cid);
        }else{
            var content = '<option value="' + data.cid + '" '+selected+' >' + data.name + ' | ' + data.number + '个商品</option>';
        }
        return content;
    },
    data_goods: function (data) { //商品列表模板
        if (data.quota != 0) {
            var quota = '<br>' + data.quantity + '个';
        } else {
            var quota = '<br><font color=#EF5350>库存不足</font>'
        }
        var selected = '';
        if($_GET['gid']==data.gid){
            selected = 'selected';
        }
        var gid = $("#gid").attr('data-gid');
        if(gid=='0'){
            $("#gid").attr('data-gid',data.cid + '_' + data.gid);
            var content = '<option value="0">请选择商品</option><option value="' + data.cid + '_' + data.gid + '" '+selected+' >' + data.name + ' | ' + (data.price-0).toFixed(2) + '元  ' + quota + '</option>';
        }else{
            var content = '<option value="' + data.cid + '_' + data.gid + '" '+selected+' >' + data.name + ' | ' + (data.price-0).toFixed(2) + '元  ' + quota + '</option>';
        }
        return content;
    },
    input_data: function (name, placeholder, id, addstr) {//商品输入框模板
        if (addstr != '') {
            var content = '<div class="form-group" id="points_os" style="center;color:#e1b617;font-weight:bold">\n' +
                '                <div class="input-group"><div class="input-group-addon"   id="var_c' + id + '"  >' + name + '</div>\n' +
                '                    <input type="text" class="form-control" onblur="checkInput(\'var_c' + id + '\',\'input_val_' + id + '\')" placeholder="' + placeholder + '"  id="input_val_' + id + '"  />\n' +
                '               <span class="input-group-btn">' + addstr + '</span> ' +
                            '</div>\n' +
                '            </div>';
        } else {
            var content = '<div class="form-group" id="points_os" style="center;color:#e1b617;font-weight:bold">\n' +
                '                <div class="input-group"><div class="input-group-addon"   id="var_c' + id + '"  >' + name + '</div>\n' +
                '                    <input type="text" class="form-control" onblur="checkInput(\'var_c' + id + '\',\'input_val_' + id + '\')" placeholder="' + placeholder + '"  id="input_val_' + id + '"  />\n' +
                '                </div>\n' +
                '            </div>';
        }
        return content;
    },
    select_data: function (selectname, addstr, i) { //多选框构建
        var content = '<div class="form-group">\n' +
            '                <div class="input-group"><div class="input-group-addon" id="var_c' + i + '">' + selectname + '</div>\n' +
            '                    <select class="form-control" id="input_val_' + i + '"><option value=""></option>' + addstr + '</select>\n' +
            '                </div>\n' +
            '            </div>';
        return content;
    },
    num: function () { //商品下单数量模板
        var content = '<div class="form-group">\n' +
            '                <div class="input-group">\n' +
            '                    <div class="input-group-addon">下单份数</div>\n' +
            '                    <input id="num" name="num" class="form-control" type="number" min="1" value="1"/>\n' +
            '                </div>\n' +
            '            </div>';
        return content;
    }
};

if ($_GET['cid'] == undefined && $_GET['name'] == undefined || $_GET['cid']==0) {
    merchandise.cid_data();//调用分类
} else if ($_GET['cid'] != undefined && $_GET['gid'] == undefined && $_GET['cid']!=0) {
    merchandise.cid_data();//调用分类
    merchandise.gid_data($_GET['cid'], $_GET['name'],1);
} else if ($_GET['cid'] != undefined && $_GET['gid'] != undefined) {
    /**
     * 调用商品下单界面模块
     */
    merchandise.cid_data();//调用分类
    merchandise.gid_data($_GET['cid'], $_GET['name'],1);
    merchandise.shop_data($_GET['gid']);
    $('#points').on('click', function () {
        var that = this;
        layer.tips('<font color=#fff>此商品支持积分付款哦,每日限量快来领取吧！</font>', that, {tips: [1, '#000']}); //在元素的事件回调体中，follow直接赋予this即可
    });
}

if($_GET['name']!=''&&$_GET['name']!=undefined){ //调用搜索
    merchandise.cid_data();//调用分类
    merchandise.gid_data($_GET['cid'], $_GET['name'],1);
}

$("#cid").change(function(){
    if($("#cid").val()==0){
        location.href = '/';
    }else location.href = '?cid='+$("#cid").val()
});

$("#gid").change(function(){
    var id = ($("#gid").val()).split('_');
    if(id[0]==0){
        location.href = '?cid='+$_GET['cid'];
    }else location.href = '?cid='+id[0]+'&gid='+id[1];
});