<?php
/**
 * ajax接收端
 */
include("./includes/fun.global.php");

@header('Content-Type: application/json; charset=UTF-8');

switch ($_QET['act']) {
    case 'submit_input': #提交
        $user_data = login_data::user_data();
        switch ($_QET['type']) {
            case 1:
                if ($user_data <> false) {
                    reward::user_grant($_QET, $user_data['id']);
                } else reward::user_grant($_QET, -1);
                break;
            case 2:
                if (reward::user_landing() <> 1) dies('-2', '请先完成登陆!');
                reward::user_grant($_QET, $user_data['id']);
                break;
            case 3:
                if (reward::user_landing() <> 1) dies('-2', '请先完成登陆!');
                reward::user_grant($_QET, $user_data['id']);
                break;
            default:
                dies(-1, '参数异常');
                break;
        }
        break;
    case 'order_details': #查询订单详情
        if (empty($_QET['id'])) die(json_encode(['code' => '-1', 'msg' => '请填写完整！']));
        $id = (int)$_QET['id'];

        /**
         * 仅给用户开放下列查询权限！
         */
        community::order_details($id, ',当前商品名称,商品下单份数,订单初始数量,订单当前数量,详细订单状态,订单处理状态,用户下单地区,本地系统订单,订单付款方式,订单付款金额,订单创建时间,订单修改时间,订单处理备注,购买商品说明');
        break;
    case 'query': #查询订单
        $QU = new query();
        switch ($_QET['type']) {
            case 1: //根据下单信息查询
                $order_arr = $QU->order_information($_QET['val']);
                break;
            case 2: //根据订单号查询
                $order_arr = $QU->order_inquiry($_QET['val']);
                break;
            case 3: #查询用户下面的订单
                if (reward::user_landing() <> 1) die(json_encode(['code' => -1, 'msg' => '请先完成登陆！']));
                $order_arr = $QU->order_user();
                break;
            case 4: #查询物流
                $order_arr = $QU->logistics($_QET['val']);
                break;
        }
        dier(['code' => 1, 'msg' => '信息获取成功,共查询到' . count($order_arr) . '条数据', 'data' => $order_arr]);
        break;
    case 'getclass': #获取分类
        $re = $DB->query("SELECT * FROM `sky_class` WHERE `state` = 1  ORDER BY `sort` DESC ");
        $array = [];
        while ($res = $DB->fetch($re)) {
            $count = $DB->count("SELECT count(*) FROM `sky_goods` WHERE `cid` = '{$res['cid']}' AND `state` = '1' ");
            $res['number'] = $count;
            $array[] = $res;
        }
        dier([
            'code' => 0,
            'msg' => 'succ',
            'data' => $array
        ]);
        break;
    case 'getgoods': #获取分类下的商品
        $cid = (int)$_QET['cid'];
        if (empty($cid)) dies(-1, '请填写完整');
        $re = $DB->query("SELECT gid,name,image,quota,sort,cid,quantity FROM `sky_goods` WHERE `state` = 1 AND `cid`= '$cid'  ORDER BY `sort` DESC ");
        $array = [];
        while ($res = $DB->fetch($re)) {
            $atl = $DB->count("SELECT sum(num) FROM `sky_buylog` WHERE `gid` = '{$res['gid']}' AND `date`> '$times' ");
            $res['quota'] = $res['quota'] - $atl;
            $price = price::price_uid($res['gid']);
            $res['price'] = $price['price'];
            $res['points'] = $price['points'];
            $res['level'] = $price['level'];
            $array[] = $res;
        }
        dier([
           'code' => 0,
           'msg' => 'succ',
           'data' => $array
        ]);
        break;
    case 'getgoods_details': #获取详细商品信息
        $gid = (int)$_QET['gid'];
        /**
         * 新增了一个商品参数 method
         */
        if (empty($gid)) dies(-1, '请填写完整');
        $res = $DB->get_row("SELECT alert,gid,name,image,value,quota,quantity,docs,method,cid FROM `sky_goods` WHERE `gid`='$gid' AND `state` = 1  LIMIT 1");
        if (!$res) dies(-1, '商品不存在！');
        $atl = $DB->count("SELECT sum(num) FROM `sky_buylog` WHERE `gid` = '{$res['gid']}' AND `date`> '$times'  ");
        $res['count_quota'] = $res['quota'] - $atl;
        $res['count'] = count(explode('|', $res['value']));
        $res['currency'] = $conf['currency']; //货币名称
        $res['method'] = json_decode($res['method'], TRUE);
        $res['docs'] = htmlspecialchars_decode(htmlspecialchars_decode($res['docs']));
        $price = price::price_uid($gid);
        $res['price'] = $price['price'];
        $res['points'] = $price['points'];
        $res['level'] = $price['level'];
        $res['pay'] = $conf['pay_qqapy'].'_'.$conf['pay_wxpay'].'_'.$conf['pay_alipay'];
        dier([
            'code' => 1,
            'msg' => 'succ',
            'data' => $res
        ]);
        break;
    case 'gethuoshan':
        $url = trim($_POST['url']);
        if (empty($url)) exit('{"code":-5,"msg":"url不能为空"}');
        $result = gethuoshan($url);
        dier($result);
        break;
    case 'getxiaohongshu':
        $url = trim($_POST['url']);
        if (empty($url)) exit('{"code":-5,"msg":"url不能为空"}');
        $result = getxiaohongshu($url);
        dier($result);
        break;
    case 'getshuoshuo':
        $uin = trim(daddslashes($_GET['uin']));
        $page = intval($_GET['page']);
        if (empty($uin)) exit('{"code":-5,"msg":"QQ号不能为空"}');
        $result = getshuoshuo($uin, $page);
        dier($result);
        break;
    case 'getkuaishou':
        $url = trim($_POST['url']);
        if (empty($url)) exit('{"code":-5,"msg":"url不能为空"}');
        $result = getkuaishou($url);
        dier($result);
        break;
    case 'getshareid':
        $url = trim($_POST['url']);
        if (empty($url)) exit('{"code":-5,"msg":"url不能为空"}');
        $result = getshareid($url);
        dier($result);
        break;
    case 'query_goods': #查询商品
        $val = (string)$_QET['name'];
        if (empty($val)) dies(-1, '请填写完整');
        $re = $DB->query("SELECT  gid,name,image,quota,sort,cid FROM `sky_goods` WHERE `state` = 1 AND `name` like '%$val%' ORDER BY `sort` DESC ");
        $array = [];
        while ($res = $DB->fetch($re)) {
            $atl = $DB->count("SELECT sum(num) FROM `sky_buylog` WHERE `gid` = '{$res['gid']}' AND `date`> '$times' ");
            $res['quota'] = $res['quota'] - $atl;
            $price = price::price_uid($res['gid']);
            $res['price'] = $price['price'];
            $res['points'] = $price['points'];
            $res['level'] = $price['level'];
            $array[] = $res;
        }
        dier([
            'code' => 0,
            'msg' => 'succ',
            'data' => $array
        ]);
        break;
}